org.apache.struts2.testng

## Class TestNGXWorkTestCase

- java.lang.Object
- - org.apache.struts2.testng.TestNGXWorkTestCase

- Direct Known Subclasses:
    StrutsTestCase

      public class TestNGXWorkTestCase
      extends Object

  Base test class for TestNG unit tests. Provides common XWork variables and performs XWork setup and teardown processes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActionProxyFactory` | `actionProxyFactory`
    `protected Configuration` | `configuration`
    `protected ConfigurationManager` | `configurationManager`
    `protected Container` | `container`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestNGXWorkTestCase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `loadConfigurationProviders(ConfigurationProvider... providers)`
    `protected void` | `setUp()`
    `protected void` | `tearDown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configurationManager

          protected ConfigurationManager configurationManager

    - #### configuration

          protected Configuration configuration

    - #### container

          protected Container container

    - #### actionProxyFactory

          protected ActionProxyFactory actionProxyFactory

  - ### Constructor Detail

    - #### TestNGXWorkTestCase

          public TestNGXWorkTestCase()

  - ### Method Detail

    - #### setUp

          @BeforeTest
          protected void setUp()
                                    throws Exception

      Throws:
        `Exception`

    - #### tearDown

          @AfterTest
          protected void tearDown()
                                      throws Exception

      Throws:
        `Exception`

    - #### loadConfigurationProviders

          protected void loadConfigurationProviders(ConfigurationProvider... providers)

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.